Expand my Community achievements bar.

Join us for the Adobe Journey Optimizer Community Q&A Coffee Break on 28th February at 8 am PT with Ariel Sultan, Daniel Wright, Josee Haeley and Rohit Basuri.
SOLVED

Problems building packages using ES6

Avatar

Level 2

When I use ES6 keywords such as const or let in my code the linter gives a warning and the build fails.  How do I go about fixing/addressing this?

Thanks

1 Accepted Solution

Avatar

Correct answer by
Level 10

Launch supports IE10+ browsers so all code should be written with that in mind. Since ES6 isn't fully supported in IE10, you'd need to transcompile to an earlier version of JS.

View solution in original post

3 Replies

Avatar

Correct answer by
Level 10

Launch supports IE10+ browsers so all code should be written with that in mind. Since ES6 isn't fully supported in IE10, you'd need to transcompile to an earlier version of JS.

Avatar

Level 3

Can the same be assumed for Target and using es6 in experiences?

Avatar

Level 10

That is likely the case, but I'm not sure. I'd suggest posting a question in the Adobe Target community to see which version of JS they support.